<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_destinasi' id=carousel.id %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_destinasi' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.id.name }}" id="{{ form.id.id_for_label }}" value="{{ form.id.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="judul">Nama</label>
        <input type="text" placeholder="Masukkan Judul Destinasi Wisata..."
            class="form-control"
            name="nama"
            id="nama" 
            value="{{ carousel.nama }}"
            required >
    </div>

    <div class="form-group">
        <label for="popular">Paket Wisata</label>
        <select name="popular" class="form-control">
            {% if edit %}
                <option value="{{carousel.paket.id}}">{{carousel.paket.judul}}</option>
            {% endif %}
            {% if not edit %}
                <option value="">---PILIH---</option>
            {% endif %}
            {% for x in paket %}
                <option value="{{x.id}}">{{x.judul}}</option>
            {% endfor %}
        </select>
    </div>

    <div class="form-group">
        <label for="keterangan">Fasilitas</label>
        <textarea 
            class="form-control" 
            id="fasilitas" 
            name="fasilitas"
            required
            rows="5">{{carousel.fasilitas}}</textarea>
    </div>

    <div class="form-group" id="form-input-foto">
        <label for="foto">Foto</label>
        <input type="file" placeholder="Masukkan foto berita..."
            class="form-control"
            name="foto"
            id="foto" 
            {% if not edit %}required{% endif %} 
            multiple>
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
    </div>

    <div class="form-group">
        <label for="keterangan">Keterangan</label>
        <textarea 
            class="form-control" 
            id="keterangan" 
            name="keterangan"
            required
            rows="5">{{carousel.deskripsi}}</textarea>
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>
